Skip to main content
`Ctrl`+`K`

# TSIRKSetNumStages

Set the number of stages of `TSIRK` scheme to use

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSIRKSetNumStages(TS ts, PetscInt nstages)

Logically Collective

## Input Parameters

- ts - timestepping context

- nstages - number of stages of `TSIRK` scheme

## Options Database Key

- -ts_irk_nstages <int> - set number of stages

## See Also

TS: Scalable ODE and DAE Solvers, `TSIRKGetNumStages()`, `TSIRK`

## Level

intermediate

## Location

src/ts/impls/implicit/irk/irk.c

## Implementations

TSIRKSetNumStages_IRK() in src/ts/impls/implicit/irk/irk.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages